1

i've run into an sed error while trying to build an app for ubuntu touch.

http://pastebin.com/uj1VnhFu

For some weird reason cordova still uses 14.10 framework as default. Since 14.10 isn't supported anymore, i had to use this command: cordova -d build ubuntu --device -- --framework ubuntu-sdk-15.04

Due to the lack of proper documentation this command was hard to find. -.-

I have the most recent versions installed. I also wrote to the mailing list a week ago, but i didn't get an answer yet. Would be nice, if someone could help. I need especially the sqlite functionality of cordova. That's why i chose it.

  • "Keine Eingabedateien" = "No input files" so it's not really a sed error, it's telling you that the find command doesn't find anything I think – steeldriver Jan 3 '16 at 14:29
  • Thanks. Apparently a bug in the platform files. I've postet an answer with description, i've got from the developer. – BlindPenguin Jan 5 '16 at 19:40
1

I had contact with one of the developers. Apparently that's a bug in the current version of cordova-ubuntu. It will be fixed in the next version. Until then there is a work around. It's described there:

https://lists.launchpad.net/ubuntu-phone/msg17519.html

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.